RESTinio

Public Types | List of all members
restinio::utils::metaprogramming::impl::put_front< T, L< Rest... > > Struct Template Reference

`#include <metaprogramming.hpp>`

## Public Types
using | type = L< T, Rest... >

## Detailed Description

template<typename T, template< class... > class L, typename... Rest>
struct restinio::utils::metaprogramming::impl::put_front< T, L< Rest... > >

Definition at line 141 of file metaprogramming.hpp.

## Member Typedef Documentation

## ◆ type

template<typename T , template< class... > class L, typename... Rest>

using restinio::utils::metaprogramming::impl::put_front< T, L< Rest... > >::type = L<T, Rest...>

Definition at line 143 of file metaprogramming.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/metaprogramming.hpp